Loading...
Searching...
No Matches
juce::MessageManager::MessageBase Class Referenceabstract

## Detailed Description

Internal class used as the base class for all message objects.

You shouldn't need to use this directly - see the CallbackMessage or Message classes instead.

The documentation for this class was generated from the following file:

- juce_events/messages/juce_MessageManager.h

Inheritance diagram for juce::MessageManager::MessageBase:

## Public Types

using | Ptr = ReferenceCountedObjectPtr<MessageBase>

## Public Member Functions

| MessageBase ()=default
| ~MessageBase () override=default
virtual void | messageCallback ()=0
bool | post ()
Public Member Functions inherited from juce::ReferenceCountedObject
void | incReferenceCount () noexcept
| Increments the object's reference count.
void | decReferenceCount () noexcept
| Decreases the object's reference count.
bool | decReferenceCountWithoutDeleting () noexcept
| Decreases the object's reference count.
int | getReferenceCount () const noexcept
| Returns the object's current reference count.

## Additional Inherited Members

Protected Member Functions inherited from juce::ReferenceCountedObject
| ReferenceCountedObject ()=default
| Creates the reference-counted object (with an initial ref count of zero).
| ReferenceCountedObject (const ReferenceCountedObject &) noexcept
| Copying from another object does not affect this one's reference-count.
| ReferenceCountedObject (ReferenceCountedObject &&) noexcept
| Copying from another object does not affect this one's reference-count.
ReferenceCountedObject & | operator= (const ReferenceCountedObject &) noexcept
| Copying from another object does not affect this one's reference-count.
ReferenceCountedObject & | operator= (ReferenceCountedObject &&) noexcept
| Copying from another object does not affect this one's reference-count.
virtual | ~ReferenceCountedObject ()
| Destructor.
void | resetReferenceCount () noexcept
| Resets the reference count to zero without deleting the object.

## Member Typedef Documentation

## Ptr

using juce::MessageManager::MessageBase::Ptr = ReferenceCountedObjectPtr<MessageBase>

## Constructors and Destructors

## MessageBase()

juce::MessageManager::MessageBase::MessageBase | ( |  | ) |

default

## ~MessageBase()

juce::MessageManager::MessageBase::~MessageBase | ( |  | ) |

override default

## Member Functions

## messageCallback()

virtual void juce::MessageManager::MessageBase::messageCallback | ( |  | ) |

pure virtual

Implemented in juce::CallbackMessage.

## post()

bool juce::MessageManager::MessageBase::post | ( |  | ) |

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited